diff -Nru autoconf-archive-20070512/debian/autoconf-archive.doc-base.autoconf-archive autoconf-archive-20081107/debian/autoconf-archive.doc-base.autoconf-archive
--- autoconf-archive-20070512/debian/autoconf-archive.doc-base.autoconf-archive	1970-01-01 08:00:00.000000000 +0800
+++ autoconf-archive-20081107/debian/autoconf-archive.doc-base.autoconf-archive	2009-01-11 01:08:17.000000000 +0800
@@ -0,0 +1,9 @@
+Document: autoconf-archive
+Title: Autoconf Macros Archive Documentation
+Author: Peter Simons <simons@cryp.to> and others
+Abstract: Manual for autoconf macros archive
+Section: Programming
+
+Format: HTML
+Index: /usr/share/doc/autoconf-archive/html/index.html
+Files: /usr/share/doc/autoconf-archive/html/*.html
diff -Nru autoconf-archive-20070512/debian/autoconf-archive.linda autoconf-archive-20081107/debian/autoconf-archive.linda
--- autoconf-archive-20070512/debian/autoconf-archive.linda	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/autoconf-archive.linda	1970-01-01 08:00:00.000000000 +0800
@@ -1 +0,0 @@
-Tag: ex-desc-contains-desc
diff -Nru autoconf-archive-20070512/debian/autoconf-archive.links autoconf-archive-20081107/debian/autoconf-archive.links
--- autoconf-archive-20070512/debian/autoconf-archive.links	1970-01-01 08:00:00.000000000 +0800
+++ autoconf-archive-20081107/debian/autoconf-archive.links	2009-01-11 01:08:17.000000000 +0800
@@ -0,0 +1 @@
+usr/share/autoconf-archive/html usr/share/doc/autoconf-archive/html
diff -Nru autoconf-archive-20070512/debian/autoconf-archive.lintian autoconf-archive-20081107/debian/autoconf-archive.lintian
--- autoconf-archive-20070512/debian/autoconf-archive.lintian	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/autoconf-archive.lintian	1970-01-01 08:00:00.000000000 +0800
@@ -1,2 +0,0 @@
-# please see bug#316523
-autoconf-archive binary: description-synopsis-is-duplicated
diff -Nru autoconf-archive-20070512/debian/changelog autoconf-archive-20081107/debian/changelog
--- autoconf-archive-20070512/debian/changelog	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/changelog	2009-01-11 01:08:17.000000000 +0800
@@ -1,3 +1,20 @@
+autoconf-archive (20081107-0.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * New upstream release.  (Closes: #507556)
+    + Updated ax_boost_python and ax_python.  (Closes: #435152)
+    + Correct -L in PYTHON_LDFLAGS in ac_python_devel.m4.  (Closes: #414556)
+  * Update build infrastructure:  
+    + Use debhelper 7 features, build-depends on debhelper >= 7 and set
+      compat to 7.
+    + Use standard make rules to install macros into /usr/share/aclocal.
+      (Closes: #485905)
+    + Provide doc-base registration.  (Closes: #451640)
+  * Add Homepage: field.
+  * Update Standard-Version to 3.8.0.
+
+ -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Fri, 05 Dec 2008 14:08:07 +0800
+
 autoconf-archive (20070512-1) unstable; urgency=low
 
   * New upstream release. 
diff -Nru autoconf-archive-20070512/debian/compat autoconf-archive-20081107/debian/compat
--- autoconf-archive-20070512/debian/compat	1970-01-01 08:00:00.000000000 +0800
+++ autoconf-archive-20081107/debian/compat	2009-01-11 01:08:17.000000000 +0800
@@ -0,0 +1 @@
+7
diff -Nru autoconf-archive-20070512/debian/control autoconf-archive-20081107/debian/control
--- autoconf-archive-20070512/debian/control	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/control	2009-01-11 01:08:17.000000000 +0800
@@ -2,10 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Qingning Huo <qhuo@mayhq.co.uk>
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7)
+Homepage: http://autoconf-archive.cryp.to/
+Standards-Version: 3.8.0
 
 Package: autoconf-archive
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: autoconf
 Description: The Autoconf Macro Archive
  The Autoconf Macro Archive aims to provide a central repository of
diff -Nru autoconf-archive-20070512/debian/copyright autoconf-archive-20081107/debian/copyright
--- autoconf-archive-20070512/debian/copyright	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/copyright	2009-01-11 01:08:17.000000000 +0800
@@ -1,12 +1,12 @@
 This is the prepackaged Autoconf Macro Archive, as found at
 http://autoconf-archive.cryp.to/.
 
-Copyright (c) several authors, please see
-/usr/share/doc/autoconf-archive/AUTHORS.
+Copyright (C) 2008 by Peter Simons <simons@cryp.to>
+Note: The m4 macros are copyrighted by their respective authors, please see /usr/share/doc/autoconf-archive/AUTHORS.
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or (at
+  the Free Software Foundation; either version 3 of the License, or (at
   your option) any later version.
 
   This program is distributed in the hope that it will be useful, but
diff -Nru autoconf-archive-20070512/debian/rules autoconf-archive-20081107/debian/rules
--- autoconf-archive-20070512/debian/rules	2009-01-11 01:08:17.000000000 +0800
+++ autoconf-archive-20081107/debian/rules	2009-01-11 01:08:17.000000000 +0800
@@ -1,49 +1,24 @@
 #!/usr/bin/make -f
 
-D = debian/autoconf-archive
-LTO = usr/share/lintian/overrides
-LDO = usr/share/linda/overrides
-
-testdir  = test -d m4 && test -f debian/rules
-testroot = test x`whoami` = xroot
+build: build-stamp
+build-stamp:
+	dh build
+	touch build-stamp
 
 clean:
-	$(testdir)
-	rm -f debian/files
-	rm -rf $(D)
-
-build:
-
-binary: binary-indep
-
-binary-arch:
-
-binary-indep:
-	$(testdir)
-	$(testroot)
-	rm -fr $(D)
-
-	mkdir -p $(D)/usr/share/doc/autoconf-archive
-	cp -pR m4 $(D)/usr/share/autoconf-archive
-	cp -pR html $(D)/usr/share/doc/autoconf-archive
-	ln -s ../../autoconf-archive $(D)/usr/share/doc/autoconf-archive/m4source
-	cp -p AUTHORS README debian/copyright $(D)/usr/share/doc/autoconf-archive
-	cp -p debian/changelog $(D)/usr/share/doc/autoconf-archive/changelog.Debian
-	gzip -9n $(D)/usr/share/doc/autoconf-archive/changelog.Debian
-
-	mkdir -p $(D)/$(LTO)
-	cp debian/autoconf-archive.lintian $(D)/$(LTO)/autoconf-archive
-	mkdir -p $(D)/$(LDO)
-	cp debian/autoconf-archive.linda $(D)/$(LDO)/autoconf-archive
-
-	mkdir $(D)/DEBIAN
-	cp -p debian/control $(D)/DEBIAN
-	cd $(D) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
-
-	dpkg-gencontrol -isp -pautoconf-archive -P$(D)
-	chown -R root:root $(D)
-	find $(D) -type d -print0 | xargs -0 chmod 0755
-	find $(D) -type f -print0 | xargs -0 chmod 0644
-	dpkg --build $(D) ..
+	dh clean
+
+install: build install-stamp
+install-stamp:
+	dh install
+	# prevent shipping unnecessary COPYING file
+	rm debian/autoconf-archive/usr/share/autoconf-archive/COPYING
+	touch install-stamp
+
+binary-arch: install
+	dh binary-arch
+
+binary-indep: install
+	dh binary-indep
 
-.PHONY: clean build binary binary-arch binary-indep
+binary: binary-arch binary-indep
